
CoCoALib - Bug #1361

Compilation fails when compiling with libgsl

12 Nov 2019 14:48 - Florian Walsh

Status: Closed Start date: 12 Nov 2019

Priority: Low Due date:  

Assignee: Florian Walsh % Done: 100%

Category: Portability Estimated time: 0.55 hour

Target version: CoCoALib-0.99850 Spent time: 0.50 hour

Description

If I compile cocoalib 0.99601 with libgsl (version 2.6-1) using:

./configure --with-libgsl='/usr/lib/libgsl.so'

make

 

I get the following error:

TmpLDP.C: In Funktion »void CoCoA::ApproxPts::AddToCornerAndUpdate(const CoCoA::PPMonoidElem&, CoC

oA::QBGenerator&, const std::vector<CoCoA::RingElem>&, const std::vector<CoCoA::RingElem>&, std::v

ector<CoCoA::RingElem>&)«:

TmpLDP.C:356:28: Fehler: »monomial« wurde in diesem Gültigkeitsbereich nicht deklariert; meinten S

ie »binomial«?

  356 |   const RingElem tAsPoly = monomial(P, t);

      |                            ^~~~~~~~

      |                            binomial

TmpLDP.C: In Funktion »void CoCoA::ApproxPts::VanishPoly(std::vector<std::vector<CoCoA::RingElem> 

>&, std::vector<CoCoA::RingElem>&, const CoCoA::SparsePolyRing&, const std::vector<std::vector<CoC

oA::RingElem> >&, const std::vector<CoCoA::RingElem>&, CoCoA::ConstRefRingElem)«:

TmpLDP.C:1333:32: Fehler: »monomial« wurde in diesem Gültigkeitsbereich nicht deklariert; meinten 

Sie »binomial«?

 1333 |       const RingElem tAsPoly = monomial(P, t);

      |                                ^~~~~~~~

      |                                binomial

make[3]: *** [../../configuration/autoconf.mk:88: TmpLDP.o] Fehler 1

History

#1 - 07 Jun 2022 21:28 - John Abbott

- Category set to Portability

- Target version set to CoCoALib-0.99850

Is this still a problem with 0.99800?

#2 - 08 Jun 2022 17:39 - John Abbott

If this is still a problem, please supply platform details.

Maybe wait until I have issued the next interim release (imminent).

#3 - 21 Jan 2024 19:46 - John Abbott

Hi Florian.  Does compilation still fail with version 0.99818 (from website)?  Thanks!

#4 - 03 Feb 2024 18:10 - Florian Walsh
Hi John, the new version compiles without problems.

#5 - 03 Feb 2024 19:56 - John Abbott

- Status changed from New to Closed

- Assignee set to Florian Walsh

- % Done changed from 0 to 100

- Estimated time set to 0.55 h

#6 - 28 Mar 2024 16:45 - Anna Maria Bigatti

- Related to Support #1687: Release CoCoALib 0.99850 added

#7 - 29 Mar 2024 09:00 - Anna Maria Bigatti

- Related to deleted (Support #1687: Release CoCoALib 0.99850)
